[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ShellCtrls' (#lcl)

# EInvalidPath

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception raised for an invalid path in shell controls.

## Declaration

Source position: shellctrls.pas line 428

`type EInvalidPath = class(EShellCtrl)`

## Inheritance

`EInvalidPath` |  | Exception raised for an invalid path in shell controls.
`EShellCtrl` |  | Exception raised for errors occurring in shell controls.
`Exception`
?
`TObject`

## Description

EInvalidPath is a EShellCtrl descendant raised for an invalid path in shell controls.

## See also

EShellCtrl |  | Exception raised for errors occurring in shell controls.
TCustomShellTreeView.Root |  | Indicates the directory or path which is the top-level node in the tree view.
TCustomShellTreeView.FileSortType |  | Indicates the sort type used for items (tree nodes) on the tree view control.
TCustomShellTreeView.ObjectTypes |  | Indicates the file system objects displayed using the control.
TCustomShellTreeView.Path |  | Path to the directory displayed in the shell control.
TCustomShellListView.Root |  | Indicates the initial directory path whose objects are displayed in the control.